ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Admin-Munitionslager"
ENT.Spawnable = true
ENT.Category = "Admin"
ENT.RenderGroup = RENDERGROUP_BOTH

ENT.Model = "models/items/ammocrate_smg1.mdl"

ENT.Editable = true

function ENT:SetupDataTables()
	self:NetworkVar("Int", 0, "ResupplyAmount", {KeyName = "resupplyamount", Edit = {type = "Int", min = 1, max = 10, order = 1}})
	self:NetworkVar("Float", 0, "ResupplyTime", {KeyName = "resupplytime", Edit = {type = "Float", min = 0, max = 600, order = 2}})

	if SERVER then
		self:SetResupplyAmount(2)
		self:SetResupplyTime(0.5)
	end
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return ply:IsAdmin()
end